/// Wrap [child] with [wrap] closure only if [item] is not null, else return [child]
T wrapIfNotNull<T, E>({required E? item, required T Function(T child, E item) wrap, required T child}) =>
    item != null ? wrap(child, item) : child;
